Subject: Re: [RFC PATCH] doc: describe the project's decision-making process

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 May 2024 07:45:25 -0700

Junio C Hamano <[email-masked]> writes:

> Enrico Mrass <[email-masked]> writes:
>
>> I'd be curious to learn about norms or practices applied when no consensus
>> could be reached. It seems worth elaborating on that as part of documenting the
>> decision-making process.
>
> I may be forgetting things, but I do not know if there is a concrete
> "here is a norm that we have been using to reach a consensus, not
> just written down but it has been there" in the first place, let
> alone "here is what we do to resolve an irreconcilable differences".
>
> "We discuss and try to reach a consensus in an amicable way,
> sticking to CoC, etc." has mostly been good enough for our happy
> family, perhaps?
>
>> ... However, nothing
>> in the current description strikes me as specific to these larger-scale
>> decisions.
>
> I agree with that.

We didn't hear any more comments on this topic, but writing down how
the world works around here, with the goal to eventually have a set
of project governance rules, is valuable. Otherwise loud people may
act according to their own (unwritten) rules that annoy others and
harm the community.

Thanks.